Bug 840007 - CDT builder java.lang.NullPointerException
CDT builder java.lang.NullPointerException
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 08:45 EDT by Germano Massullo
Modified: 2013-08-01 13:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:13:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
project that triggers error (5.16 KB, application/zip)
2012-07-13 08:53 EDT, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2012-07-13 08:45:12 EDT
Description of problem:
When I try to build the code, I get a popup that says:
Errors during generation
Errors while executing generator "CDT Builder" in project SO_esame_calloc.
Internal error building project SO_esame_calloc configuration Debug
java.lang.NullPointerException
Internal error building project SO_esame_calloc configuration Debug
java.lang.NullPointerException

Version-Release number of selected component (if applicable):
Eclipse Version: 4.2.0 Build id: I20120608-1400

Eclipse-CDT plugin Version: 8.1.0 Relase: 1.fc17
Comment 1 Germano Massullo 2012-07-13 08:53:17 EDT
Created attachment 598067 [details]
project that triggers error
Comment 2 Jeff Johnston 2013-01-11 19:56:53 EST
I am able to reproduce the problem with the given project, however, if I create a new C project from scratch and copy over just the C file: ciao.c, I can get it working fine with some fixes to the C source code:

Your code has: 

	char* matrixDimensionChar, string;

This line is in error and should be:

  char *matrixDimensionChar, *string;

It seems as if the .cproject file may be corrupted.  I need to do some more experimenting.
Comment 3 Fedora End Of Life 2013-07-04 01:55:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 13:13:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.